avg = 0
avg += value for [label, value] in window.data
avg /= window.data.length

$.jqplot 'plot', [window.data],
    title: window.text.title
    axes:
        xaxis:
            renderer: $.jqplot.DateAxisRenderer,
            tickOptions:
                formatString: '%b&nbsp;%#d'
    highlighter:
        show: true
        sizeAdjust: 15
    seriesDefaults:
        markerOptions:
            size: 20
    canvasOverlay:
        show: true
        objects: [
            horizontalLine:
                y: avg
                lineWidth: 1.5
                color: '#91b8c4'
                shadow: false
                showTooltip: true
                tooltipFormatString: 'avg %2$.4f'
                showTooltipPrecision: .1
                tooltipLocation: 'ne'
        ]
